package com.mvc.entity;

import java.io.Serializable;
import java.util.Date;

/**
* @Description:
* @Author: guozhao
* @CreateDate: 2025-05-29 14:09:31
*/
public class TDeviceOperation implements Serializable {
    /**
     * 主键
     */
    private Integer id;

    /**
     * 遥测站点
     */
    private String stationCode;

    /**
     * 设备SN
     */
    private String deviceSn;

    /**
     * 数据类型(0新装,1故障)
     */
    private String dataType;

    /**
     * 运维记录V2表ID(新装时有值)
     */
    private Integer maintenanceRecordsId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 任务状态(0未安装,1已安装,2已配置,3已投运,4配置失效)
     */
    private String taskStatus;

    /**
     * 远程配置表主键
     */
    private Integer remoteCfgId;

    /**
     * 配置人
     */
    private String configMan;

    /**
     * 配置时间
     */
    private Date configTime;

    /**
     * 操作(投运)人
     */
    private String operationMan;

    /**
     * 操作(投运)时间
     */
    private Date operationTime;

    /**
     * 处理标记(0:未处理,1:已处理,2:已阅)
     */
    private Integer processingFlag;

    /**
     * t_device_operation
     */
    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode == null ? null : stationCode.trim();
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn == null ? null : deviceSn.trim();
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType == null ? null : dataType.trim();
    }

    public Integer getMaintenanceRecordsId() {
        return maintenanceRecordsId;
    }

    public void setMaintenanceRecordsId(Integer maintenanceRecordsId) {
        this.maintenanceRecordsId = maintenanceRecordsId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(String taskStatus) {
        this.taskStatus = taskStatus == null ? null : taskStatus.trim();
    }

    public Integer getRemoteCfgId() {
        return remoteCfgId;
    }

    public void setRemoteCfgId(Integer remoteCfgId) {
        this.remoteCfgId = remoteCfgId;
    }

    public String getConfigMan() {
        return configMan;
    }

    public void setConfigMan(String configMan) {
        this.configMan = configMan == null ? null : configMan.trim();
    }

    public Date getConfigTime() {
        return configTime;
    }

    public void setConfigTime(Date configTime) {
        this.configTime = configTime;
    }

    public String getOperationMan() {
        return operationMan;
    }

    public void setOperationMan(String operationMan) {
        this.operationMan = operationMan == null ? null : operationMan.trim();
    }

    public Date getOperationTime() {
        return operationTime;
    }

    public void setOperationTime(Date operationTime) {
        this.operationTime = operationTime;
    }

    public Integer getProcessingFlag() {
        return processingFlag;
    }

    public void setProcessingFlag(Integer processingFlag) {
        this.processingFlag = processingFlag;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-05-29 14:09:31
     */
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", stationCode=").append(stationCode);
        sb.append(", deviceSn=").append(deviceSn);
        sb.append(", dataType=").append(dataType);
        sb.append(", maintenanceRecordsId=").append(maintenanceRecordsId);
        sb.append(", createTime=").append(createTime);
        sb.append(", taskStatus=").append(taskStatus);
        sb.append(", remoteCfgId=").append(remoteCfgId);
        sb.append(", configMan=").append(configMan);
        sb.append(", configTime=").append(configTime);
        sb.append(", operationMan=").append(operationMan);
        sb.append(", operationTime=").append(operationTime);
        sb.append(", processingFlag=").append(processingFlag);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}